---
title: '::first-line (:first-line)'
slug: 'Web/CSS/::first-line'
tags:
  - CSS
  - Layout
  - Pseudo-element
  - Reference
  - Selector
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>::first-line</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-element</a> applies styles to the first line of a <a href="/en-US/docs/Web/CSS/Visual_formatting_model#Block-level_elements_and_block_boxes">block-level element</a>.</span> Note that the length of the first line depends on many factors, including the width of the element, the width of the document, and the font size of the text.</p>

<pre class="brush: css no-line-numbers notranslate">/* Selects the first line of a &lt;p&gt; */
p::first-line {
  color: red;
}</pre>

<div class="note">
<p>CSS3 introduced the <code>::first-line</code> notation (with two colons) to distinguish <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-classes</a> from <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-elements</a>. Browsers also accept <code>:first-line</code>, introduced in CSS2.</p>
</div>

<h2 id="Allowable_properties">Allowable properties</h2>

<p>Only a small subset of CSS properties can be used with the <code>::first-line</code> pseudo-element:</p>

<ul>
 <li>All font-related properties: {{Cssxref("font")}}, {{cssxref("font-kerning")}}, {{Cssxref("font-style")}}, {{Cssxref("font-variant")}}, {{cssxref("font-variant-numeric")}}, {{cssxref("font-variant-position")}}, {{cssxref("font-variant-east-asian")}}, {{cssxref("font-variant-caps")}}, {{cssxref("font-variant-alternates")}}, {{cssxref("font-variant-ligatures")}}, {{cssxref("font-synthesis")}}, {{cssxref("font-feature-settings")}}, {{cssxref("font-language-override")}}, {{Cssxref("font-weight")}}, {{Cssxref("font-size")}}, {{cssxref("font-size-adjust")}}, {{cssxref("font-stretch")}}, and {{Cssxref("font-family")}}</li>
 <li>All background-related properties: {{Cssxref("background-color")}}, {{cssxref("background-clip")}}, {{Cssxref("background-image")}}, {{cssxref("background-origin")}}, {{Cssxref("background-position")}}, {{Cssxref("background-repeat")}}, {{cssxref("background-size")}},  {{Cssxref("background-attachment")}}, and {{cssxref("background-blend-mode")}}</li>
 <li>The {{cssxref("color")}} property</li>
 <li>{{cssxref("word-spacing")}}, {{cssxref("letter-spacing")}}, {{cssxref("text-decoration")}}, {{cssxref("text-transform")}}, and {{cssxref("line-height")}}</li>
 <li>{{cssxref("text-shadow")}}, {{cssxref("text-decoration")}}, {{cssxref("text-decoration-color")}}, {{cssxref("text-decoration-line")}}, {{cssxref("text-decoration-style")}}, and {{cssxref("vertical-align")}}.</li>
</ul>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;p&gt;Styles will only be applied to the first line of this paragraph.
After that, all text will be styled like normal. See what I mean?&lt;/p&gt;

&lt;span&gt;The first line of this text will not receive special styling
because it is not a block-level element.&lt;/span&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">::first-line {
  color: blue;
  text-transform: uppercase;

  /* WARNING: DO NOT USE THESE */
  /* Many properties are invalid in ::first-line pseudo-elements */
  margin-left: 20px;
  text-indent: 20px;
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample('Examples', 350, 160)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Pseudo-Elements', '#first-line-pseudo', '::first-line')}}</td>
   <td>{{Spec2('CSS4 Pseudo-Elements')}}</td>
   <td>Defines more strictly where <code>::first-letter</code> can occur.<br>
    Generalizes allowed properties to typesetting, text decoration, and inline layout properties and {{cssxref("opacity")}}.<br>
    Defines the inheritance of <code>::first-letter</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Text Decoration', '#text-shadow-property', 'text-shadow with ::first-line')}}</td>
   <td>{{Spec2('CSS3 Text Decoration')}}</td>
   <td>Allows the use of {{cssxref("text-shadow")}} with <code>::first-letter</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Selectors', '#first-line', '::first-line')}}</td>
   <td>{{Spec2('CSS3 Selectors')}}</td>
   <td>Introduction of the two-colon syntax.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'selector.html#first-line-pseudo', '::first-line')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1', '#the-first-line-pseudo-element', '::first-line')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Initial definition, using the one-colon syntax.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.selectors.first-line")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("::first-letter")}}</li>
</ul>
